import axios from 'axios';
export class Axios {
    constructor(baseUrl) {
        this.instance = axios.create({ baseURL: baseUrl });
    }
    run(method, path, data = {}) {
        return new Promise((resolve) => {
            const output = {
                isSuccess: true,
                isError: false,
                data: [],
                error: '',
            };
            return this.instance({
                method: method,
                url: path,
                data,
                headers: {
                    'Access-Control-Allow-Origin': '*',
                    'Access-Control-Allow-Methods': 'GET,PUT,POST,DELETE,PATCH,OPTIONS',
                    contentType: 'application/json',
                },
            })
                .then((response) => {
                output.isSuccess = true;
                output.data = response.data;
                resolve(output);
            })
                .catch((error) => {
                output.isSuccess = false;
                output.isError = true;
                output.error = error.message;
                resolve(output);
            });
        });
    }
}
