import { Firestore } from 'firebase/firestore';
import { Json } from '../types';
import { ResponseBuilder } from './response';
export declare const initFirestore: (firebaseConfig: Json, useEmulator?: boolean) => void;
export declare const setFireStore: (value: Firestore) => void;
export declare const getCollection: (path: string) => Promise<import("../types").ApiResponse<Json[]>>;
export declare const addToCollection: (path: string, item: Json) => Promise<import("../types").ApiResponse<Json>>;
export declare const removeCollection: (path: string) => Promise<import("../types").ApiResponse<Json[]>>;
export declare const addToCollectionBatch: (path: string, item: Json[]) => Promise<import("../types").ApiResponse<Json[]>>;
export declare const getCollectionItem: (path: string) => Promise<import("../types").ApiResponse<Json>>;
export declare const setCollectionItem: (path: string, value: Json) => Promise<import("../types").ApiResponse<Json>>;
export declare const updateCollectionItem: (path: string, change: Json) => Promise<import("../types").ApiResponse<Json>>;
export declare const removeCollectionItem: (path: string) => Promise<import("../types").ApiResponse<Json>>;
export declare const listenToCollection: (path: string, callback: any) => import("@firebase/firestore").Unsubscribe;
export declare const setSingle: (path: string, change: Json) => Promise<import("../types").ApiResponse<Json>>;
export declare const getSingle: (path: string) => Promise<import("../types").ApiResponse<Json>>;
export declare const handleSuccess: (response: ResponseBuilder, data: Json | Json[]) => void;
export declare const handleError: (response: ResponseBuilder, err: any) => void;
