import { AxiosResponse } from 'axios';
import { ApiErrorType, IApiRequest, ApiResponse } from '../types';
type Transformer = (items: any) => any;
export declare class ResponseBuilder {
    private output;
    private response;
    private transformers;
    private timestampStart;
    constructor(request: IApiRequest);
    withAxiosResponse(axiosResponse: AxiosResponse): this;
    withData(data: any): this;
    withIsSuccess(isSuccess: boolean): this;
    withIsError(isError: boolean): this;
    withErrorType(errorType: ApiErrorType): this;
    withErrorMessage(errorMessage: string): this;
    withStatus(status: number): this;
    withTransformer(transformer?: Transformer): this;
    build<T = any>(): ApiResponse<T>;
}
export {};
