import { analyzeStructure, generateActionTypesDictionaryForStore, } from 'redux-store-generator';
export class StoreAnalyzer {
    constructor(store) {
        this.store = store;
        const initialState = store.getState();
        this.actionTypeToInfo =
            generateActionTypesDictionaryForStore(initialState);
        this.structure = analyzeStructure(initialState);
    }
    infoFromActionType(actionType) {
        const actionInfo = this.actionTypeToInfo[actionType];
        if (!actionInfo) {
            return null;
        }
        const { nodeName } = actionInfo;
        const nodeType = this.structure[nodeName];
        return {
            ...actionInfo,
            nodeType,
        };
    }
}
